Search Results for

Show / Hide Table of Contents

# Class CursorVisibility

Cursors Visibility that are displayed

##### Inheritance

System.Object
CursorVisibility

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class CursorVisibility : Enum

### Fields

#### Box

Cursor caret is displayed as a blinking block ▉

##### Declaration

    public const CursorVisibility Box

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### BoxFix

Cursor caret is displayed a block ▉

##### Declaration

    public const CursorVisibility BoxFix

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### Default

Cursor caret has default

##### Declaration

    public const CursorVisibility Default

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### Invisible

Cursor caret is hidden

##### Declaration

    public const CursorVisibility Invisible

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### Underline

Cursor caret is normally shown as a blinking underline bar _

##### Declaration

    public const CursorVisibility Underline

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### UnderlineFix

Cursor caret is normally shown as a underline bar _

##### Declaration

    public const CursorVisibility UnderlineFix

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Vertical

Cursor caret is displayed a blinking vertical bar |

##### Declaration

    public const CursorVisibility Vertical

##### Field Value

Type | Description
--- | ---
CursorVisibility |

#### VerticalFix

Cursor caret is displayed a blinking vertical bar |

##### Declaration

    public const CursorVisibility VerticalFix

##### Field Value

Type | Description
--- | ---
CursorVisibility |